uses
    testlib, sysutils;


var
    ja, pa: extended;
    l: longint;

begin
	l := 0;
	while not ans.seekeof do begin
		inc(l);
        ja := ans.readreal;
        pa := ouf.readreal;

        if (ja <> pa) then
            quit(_wa, 'Number ' + inttostr(l) + ' - expected: ' + floattostr(ja) + ', found: ' + floattostr(pa));
	end;
    quit(_ok, inttostr(l) + ' numbers');
end.